Skip to content

Creates a one-time payment link

Request

POST {{baseURL}}/pay-int-api/quick-payments/one-time

This endpoint creates link for a one-time payment.

A one-time is one that can be used only once and then it expires. This can be used for cases like purchases or fee payments. It is limited to only one person. A one-time is in contrast to a reusable payment payment that can be use multiple times by different people.

The link must be activated before use as a security feature. To activate a one-time payment link, see POST /pay-int-api/quick-payments/{{quickPaymentId}}/activate

The link remains active until one of the following occurs:

  • The customer completes the payment
  • The link is manually deactivated
  • The link's time limit expires

See Also:
To activate a link, see POST /pay-int-api/quick-payments/{{quickPaymentId}}/activate
To send a one-time payment link to a customer, see POST /pay-int-api/quick-payments/{{quickPaymentId}}/send-sms-notification
To deactivate a link, see POST /pay-int-api/quick-payments/{{quickPaymentId}}/deactivate
To get a list of all one-time payments links, see GET /pay-int-api/quick-payments/one-time
To get details for a specified one-time payments link, see POST /pay-int-api/quick-payments/one-time/{{quickPaymentId}}

Security
Bearer
Headers
x-api-versionstring
Bodyapplication/json

The one-time payment link creation request.

amountnumber, (double), > 0

Specifies the amount (in USD) of the one-time payment.

Example: 45.99

Example:45.99
referenceIdstring or null, [ 0 .. 100 ]

Specifies the ReferenceId.

Example: 10001

Example:"10001"
customerIdstring or null, (uuid)

Specifies the customer identifier.

Example: c9ae4972-b934-41aa-8e1a-1e5d8ad34bec

Example:"c9ae4972-b934-41aa-8e1a-1e5d8ad34bec"
curl -i -X POST \
  https://developer.flute.com/_mock/api-reference/pay-int-api/quick-payments/one-time \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'x-api-version: string' \
  -d '{
    "amount": 45.99,
    "referenceId": "10001",
    "customerId": "c9ae4972-b934-41aa-8e1a-1e5d8ad34bec"
  }'

Responses

OK

Bodyapplication/json
idstring, (uuid)

Indicates the payment reference link identifier, also known as the quickPaymentId.

Example: c8c67f32-aca5-47c4-b10e-123086a43075

Example:"c8c67f32-aca5-47c4-b10e-123086a43075"
Response
{ "id": "c8c67f32-aca5-47c4-b10e-123086a43075" }